Different model of Android mobile, some can install GS App, some cannot?

I published a GS mobile app, but I did not upload it on Google Play (the Android APP Bundles issue). I had the apk file and could install it to my Samsung Galaxy S9 successfully. However, when I tried to install it in my Samsung Galaxy A20, it fails. May I know how can I make a mobile app applicable to all Android mobile?

Another question is, could I know how to settle the Android APP Bundles issue?

Thanks in advance.

Comments

  • adriangomezadriangomez Member, PRO Posts: 159

    What is the app bundle issue? What error are you getting in the console when you try to upload to a A20? I don't have an a A20, but the A10 I have works perfectly fine. As far as the bundle issue (last month when I updated my app), it appeared to be just a warning. I was still able to submit the apk. Has that changed?

  • adent42adent42 Key Master, Head Chef, Executive Chef, Member, PRO Posts: 1,927

    What Android OS version does the A20 run?

  • Lydia ChuiLydia Chui Member, PRO Posts: 22

    For my case, it is not allowed me to sumbit the apk. And it asked me to do some process about Android Bundle.

  • Lydia ChuiLydia Chui Member, PRO Posts: 22

    After seeing your comment, I tried to update my OS version in A20, after the updating, it works. But could I know is it GS app needed mobile in the latest OS version? How could I know which model of mobile can install the GS app or not?

  • adent42adent42 Key Master, Head Chef, Executive Chef, Member, PRO Posts: 1,927

    Inside the APK file we state the minimum version (and you can set it as part of the publishing process).

    Google's Play App store requires us to target Android API level 29 or higher (better known as Android 10).

Sign In or Register to comment.